{$if not def DATATYPES_DATATYPES_H} CONST DATATYPES_DATATYPES_H=0;


{ ***********************************************************************
  ** KickPascal-Include-Datei "datatypes/datatypes.h" zu Kickstart 3.0 **
  *********************************************************************** }

{$if not def EXEC_LISTS_H;incl "exec/lists.h";endif}
{$if not def EXEC_NODES_H;incl "exec/nodes.h";endif}
{$if not def EXEC_LIBRARIES_H;incl "exec/libraries.h";endif}
{$if not def LIBRARIES_IFFPARSE_H;incl "libraries/iffparse.h";endif}
{$if not def DOS_DOS_H;incl "dos/dos.h";endif}

CONST
 ID_DTYP = $44545950; { "DTYP" }
 
 ID_DTHD = $44544844; { "DTHD" }

TYPE
 p_DataTypeHeader = ^DataTypeHeader;
 DataTypeHeader = RECORD
  dth_Name      : Str;
  dth_BaseName  : Str;
  dth_Pattern   : Str;
  dth_Mask      : ^Integer;
  dth_GroupID   : Long;
  dth_ID        : Long;
  dth_MaskLen   : Integer;
  dth_Pad       : Integer;
  dth_FLags     : Word;
  dth_Priority  : Word;
 end;

CONST
 DTHSIZE = sizeof(DataTypeHeader);

 DTF_TYPE_MASK  = $000F;
 DTF_BINARY     = $0000;
 DTF_ASCII      = $0001;
 DTF_IFF        = $0002;
 DTF_MISC       = $0003;

 DTF_CASE       = $0010;

 DTF_SYSTEM1    = $1000;


 GID_SYSTEM     = $73797374; { "syst" }
 GID_TEXT       = $74657874; { "text" }
 GID_DOCUMENT   = $646f6375; { "docu" }
 GID_SOUND      = $736f756e; { "soun" }
 GID_INSTRUMENT = $696e7374; { "inst" }
 
 GID_MUSIC      = $6d757369; { "musi" }
 GID_PICTURE    = $70696374; { "pict" }
 GID_ANIMATION  = $616e696d; { "anim" }
 GID_MOVIE      = $6d6f7669; { "movi" }

 ID_CODE        = $44544344; { "DTCD" }
 

TYPE
 p_DTHookContext = ^DTHookContext;
 DTHookContext = RECORD
  dthc_SysBase          : p_Library;
  dthc_DOSBase          : p_Library;
  dthc_IFFParseBase     : p_Library;
  dthc_UtilityBase      : p_Library;
  
  dthc_Lock             : BPTR;
  dthc_FIB              : p_FileInfoBlock;
  dthc_FileHandle       : BPTR;
  dthc_IFF              : p_IFFHandle;
  dthc_Buffer           : Str;
  dthc_BufferLength     : Long;
 end;
 
CONST ID_TOOL = $4454544c; { "DTTL" }

TYPE
 p_Tool = ^Tool;
 Tool = RECORD
  tn_Which      : Word;
  tn_Flags      : Word;
  tn_Program    : Str;
 end;
 
CONST TSIZE = sizeof(Tool);

CONST
 TW_INFO        = 1;
 TW_BROWSE      = 2;
 TW_EDIT        = 3;
 TW_PRINT       = 4;
 TW_MAIL        = 5;

 TF_LAUNCH_MASK = $000F;
 TF_SHELL       = $0001;
 TF_WORKBENCH   = $0002;
 TF_RX          = $0003;

 ID_TAGS = $44545447; { "DTTG" }

{$if not def DATATYPE}
TYPE
 p_DataType = ^DataType;
 DataType = RECORD
  dtn_Node1     : Node;
  dtn_Node2     : Node;
  dtn_Header    : p_DataTypeHeader;
  dtn_ToolList  : List;
  dtn_FunctionName : Str;
  dtn_AttrList  : p_TagItem;
  dtn_Length    : Long;
 end;

{$endif}

CONST DTNSIZE = sizeof(DataType);

TYPE
 p_ToolNode = ^ToolNode;
 ToolNode = RECORD
  tn_Node       : Node;
  tn_Tool       : Tool;
  tn_Length     : Long;
 end;

CONST TNSIZE = sizeof(ToolNode);

{$if not def ID_NAME}

CONST ID_NAME = $4e414d45; { "NAME" }

{$endif}

CONST
 DTERROR_UNKNOWN_DATATYPE       = 2000;
 DTERROR_COULDNT_SAVE           = 2001;
 DTERROR_COULDNT_OPEN           = 2002;
 DTERROR_COULDNT_SEND_MESSAGE   = 2003;

 DTMSG_TYPE_OFFSET              = 2100;

{$endif}
