{$if not def RESOURCES_CARD_H} CONST RESOURCES_CARD_H=0;

{ ******************************************************************
  ** KickPascal-Include-Datei "resources/card.h" zu Kickstart 3.0 **
  ****************************************************************** }

{$if not def EXEC_NODES_H;incl "exec/nodes.h";endif}
{$if not def EXEC_INTERRUPTS_H;incl "exec/interrupts.h";endif}

CONST CARDRESNAME = "card.resource";

TYPE
     p_CardHandle = ^CardHandle;
     CardHandle = RECORD
      cah_CardRemoved  : p_Interrupt;
      cah_CardInserted : p_Interrupt;
      cah_CardStatus   : p_Interrupt;
      cah_CardFlags    : Byte;
     end;
     
     p_DeviceTData = ^DeviceTDate;
     DeviceTDate = RECORD
      dtd_DTsize  : Long;
      dtd_DTspeed : Long;
      dtd_DTtype  : Byte;
      dtd_DTflags : Byte;
     end;
     
     p_CardMemoryMap = ^CardMemoryMap;
     CardMemoryMap = RECORD
      cmm_CommonMemory     : Byte;
      cmm_AttributeMemory  : Byte;
      cmm_IOMemory         : Byte;
     end;
     
CONST
 CARDB_RESETREMOVE      =  0;
 CARDF_RESETREMOVE      = $1;
 
 CARDB_IFAVAILABLE      =  1;
 CARDF_IFAVAILABLE      = $2;
 
 CARDB_DELAYOWNERSHIP   =  2;
 CARDF_DELAYOWNERSHIP   = $4;
 
 CARDB_REMOVEHANDLE     =  0;
 CARDF_REMOVEHANDLE     = $1;

 
 CARD_STATUSB_CCDET     =  6;
 CARD_STATUSF_CCDET     =$40;

 CARD_STATUSB_BVD1      =  5;
 CARD_STATUSF_BVD1      =$20;

 CARD_STATUSB_SC        =  5;
 CARD_STATUSF_SC        =$20;

 CARD_STATUSB_BVD2      =  4;
 CARD_STATUSF_BVD2      =$10;

 CARD_STATUSB_DA        =  4;
 CARD_STATUSF_DA        =$10;

 CARD_STATUSB_WR        =  3;
 CARD_STATUSF_WR        = $8;

 CARD_STATUSB_BSY       =  2;
 CARD_STATUSF_BSY       = $4;

 CARD_STATUSB_IRQ       =  2;
 CARD_STATUSF_IRQ       = $4;

 CARD_VOLTAGE_0V        = 0;
 CARD_VOLTAGE_5V        = 1;
 CARD_VOLTAGE_12V       = 2;


 CARD_ENABLEB_DIGAUDIO  = 1;
 CARD_ENABLEF_DIGAUDIO  =$2;

 CARD_DISABLEB_WP       = 3;
 CARD_DISABLEF_WP       =$8;

 CARD_INTERFACE_AMIGA_0 = 0;

 CISTPL_AMIGAXIP        =$91;


TYPE
     p_TP_AmigaXIP = ^TP_AmigaXIP;
     TP_AmigaXIP = RECORD
      TPL_CODE   : Byte;
      TPL_LINK   : Byte;
      TP_XIPLOC  : Array[0..3] of Byte;
      TP_XIPFLAGS: Byte;
      TP_XIPRESRV: Byte;
     end;

CONST
 XIPFLAGSB_AUTORUN      =  0;
 XIPFLAGSF_AUTORUN      = $1;

{$endif}
