{$if not def RESOURCES_DISK_H} CONST RESOURCES_DISK_H=0;

{ ******************************************************************
  ** KickPascal-Include-Datei "resources/disk.h" zu Kickstart 3.0 **
  ****************************************************************** }

TYPE p_DiscResourceUnit = ^DiscResourceUnit;
TYPE p_DiscResource = ^DiscResource;

{$if not def EXEC_LISTS_H;incl "exec/lists.h";endif}
{$if not def EXEC_PORTS_H;incl "exec/ports.h";endif}
{$if not def EXEC_INTERRUPTS_H;incl "exec/interrupts.h";endif}
{$if not def EXEC_LIBRARIES_H;incl "exec/libraries.h";endif}

TYPE DiscResourceUnit = RECORD
 dru_Message   : Message;
 dru_DiscBlock : Interrupt;
 dru_DiscSync  : Interrupt;
 dru_Index     : Interrupt;
END;

TYPE DiscResource = RECORD
 dr_Library     : _Library;
 dr_Current     : p_DiscResourceUnit;
 dr_Flags       : Byte;
 dr_pad         : Byte;
 dr_SysLib      : p_Library;
 dr_CiaResource : p_Library;
 dr_UnitID      : ARRAY[0..3] OF Long;
 dr_Waiting     : List;
 dr_DiscBlock   : Interrupt;
 dr_DiscSync    : Interrupt;
 dr_Index       : Interrupt;
 dr_CurrTask    : p_Task;
END;

CONST
 DRB_ALLOC0 = 0;
 DRB_ALLOC1 = 1;
 DRB_ALLOC2 = 2;
 DRB_ALLOC3 = 3;
 DRB_ACTIVE = 7;

 DRF_ALLOC0 = $1;
 DRF_ALLOC1 = $2;
 DRF_ALLOC2 = $4;
 DRF_ALLOC3 = $8;
 DRF_ACTIVE = $80;

CONST DSKDMAOFF = $4000;



CONST DISKNAME = "disk.resource";

CONST
 DR_ALLOCUNIT  = $FFFFFFFA;
 DR_FREEUNIT   = $FFFFFFF4;
 DR_GETUNIT    = $FFFFFFEE;
 DR_GIVEUNIT   = $FFFFFFE8;
 DR_GETUNITID  = $FFFFFFE2;
 DR_READUNITID = $FFFFFFDC;

 DR_LASTCOMM   = DR_READUNITID;

CONST
 DRT_AMIGA    = $00000000;
 DRT_37422D2S = $55555555;
 DRT_EMPTY    = $FFFFFFFF;
 DRT_150RPM   = $AAAAAAAA;

{$endif}
